<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const obj = {
            id: 1,
            name: 'zds',
            score: {
                english: 150
            },
            fried: ['1', '2', '3']
        }
        let o = {}
        function deepClone(newObj, oldObj) {
            for (let k in oldObj) {
                var old = oldObj[k]
                if (old instanceof Object) {
                    newObj[k] = {}
                    deepClone(newObj[k], old)
                } else if (old instanceof Array) {
                    newObj[k] = []
                    deepClone(newObj[k], old)
                } else {
                    newObj[k] = old
                }
            }
        }
        deepClone(o, obj)
        // console.log(o);
        o.score.english = 20
        // const arr = ['5', '6']
        // const ar = o.fried.concat(arr)
        // console.log(ar)
        console.log(obj);
        console.log(o);
    </script>
</body>
</html>